DELETE
/projects/{id}Delete a project
Interactive-session operation.
Send request
Use the documented inputs to call this endpoint directly.
API serverbase URL
Parameters
Values are applied to the request and the example on the right.
idpath · stringrequired
Resource ID.
Responses
200application/json
Project deleted.
{
"status": "success",
"data": {
"deleted": true,
"id": "65f0c7a9a7d6b4e2c1234567"
}
}400application/json
The request body, parameter, filter, cursor, or project-scoping pattern is invalid.
{
"status": "error",
"message": "string",
"code": "string",
"detail": {},
"quota": {
"key": "string",
"limit": 1,
"used": 1
},
"feature": "string",
"dependency": "string"
}statusstringrequired
messagestringrequired
codestringoptional
Stable machine-readable code when the error defines one.
detailobjectoptional
quotaoptional
featurestringoptional
dependencystringoptional
401application/json
Authentication is missing or the credential is invalid, inactive, expired, or lacks the required scope.
{
"status": "error",
"message": "string",
"code": "string",
"detail": {},
"quota": {
"key": "string",
"limit": 1,
"used": 1
},
"feature": "string",
"dependency": "string"
}statusstringrequired
messagestringrequired
codestringoptional
Stable machine-readable code when the error defines one.
detailobjectoptional
quotaoptional
featurestringoptional
dependencystringoptional
403application/json
The authenticated caller is not allowed to perform this operation.
{
"status": "error",
"message": "string",
"code": "string",
"detail": {},
"quota": {
"key": "string",
"limit": 1,
"used": 1
},
"feature": "string",
"dependency": "string"
}statusstringrequired
messagestringrequired
codestringoptional
Stable machine-readable code when the error defines one.
detailobjectoptional
quotaoptional
featurestringoptional
dependencystringoptional
404application/json
The resource was not found or is outside the caller's project.
{
"status": "error",
"message": "string",
"code": "string",
"detail": {},
"quota": {
"key": "string",
"limit": 1,
"used": 1
},
"feature": "string",
"dependency": "string"
}statusstringrequired
messagestringrequired
codestringoptional
Stable machine-readable code when the error defines one.
detailobjectoptional
quotaoptional
featurestringoptional
dependencystringoptional
Powered by heyo